Package com.norconex.commons.lang.bean.jackson

# Class JsonXmlMapModule

java.lang.Object
tools.jackson.databind.JacksonModule
tools.jackson.databind.module.SimpleModule
com.norconex.commons.lang.bean.jackson.JsonXmlMapModule

All Implemented Interfaces:
  `Serializable`, `tools.jackson.core.Versioned`

public class JsonXmlMapModule extends tools.jackson.databind.module.SimpleModule
Jackson module providing (de)serializers for Map, so they can be written and read as XML without special hacks. Already registered in `BeanMapper`.

Since:
  3.0.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class tools.jackson.databind.JacksonModule

  `tools.jackson.databind.JacksonModule.SetupContext`

- ## Field Summary

  ### Fields inherited from class tools.jackson.databind.module.SimpleModule

  `_abstractTypes, _defaultNullKeySerializer, _defaultNullValueSerializer, _deserializerModifier, _deserializers, _id, _keyDeserializers, _keySerializers, _mixins, _name, _namingStrategy, _serializerModifier, _serializers, _subtypes, _valueInstantiators, _version`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JsonXmlMapModule()`

- ## Method Summary

  ### Methods inherited from class tools.jackson.databind.module.SimpleModule

  `_checkNotNull, addAbstractTypeMapping, addDeserializer, addKeyDeserializer, addKeySerializer, addSerializer, addSerializer, addValueInstantiator, getModuleName, getRegistrationId, registerSubtypes, registerSubtypes, registerSubtypes, setAbstractTypes, setDefaultNullKeySerializer, setDefaultNullValueSerializer, setDeserializerModifier, setDeserializers, setKeyDeserializers, setKeySerializers, setMixInAnnotation, setNamingStrategy, setSerializerModifier, setSerializers, setupModule, setValueInstantiators, version`

  ### Methods inherited from class tools.jackson.databind.JacksonModule

  `getDependencies`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JsonXmlMapModule

    public JsonXmlMapModule()